=== debian/changelog ===
debian-policy (3.5.6.1) unstable; urgency=low

  * Set the cotact information for the FHS contact, and add mention of the
    FHS mailing list.                                        closes: Bug#137172
  * ftp://ftp.debian.org/debian/doc/package-developer/ certainly seems to
    exist, and does contain the menu policy.     closes: Bug#110711, Bug#121977
  * Added java related virtual packages                      closes: Bug#110713
  * Fixed confusion in appar4ently contradictory wording about /etc/init.d
    scripts: clarified to emphasize that the init.d files _are_
    configuration files, and they _must_ have local changes preserved,
    either (if they are present in the .deb) by marking them as conffiles
    or, if they do not exist in the .deb file, by any other means. This
    does not change any requirements, and should have no affect on any
    conformant packages.                                     closes: Bug#132621
  * Fixed error in doc-base file                             closes: Bug#137521
  * fixed typo in virtual packages list                      closes: Bug#110446
  * Fixed typo in upgrading checklist.                       closes: Bug#110705
  * Fixed typo (dependencies) in the policy                  closes: Bug#122931
  * Fixed grammar errors in the policy                       closes: Bug#126131
  * While I am cleaning out bugs, these are old and the reporter no longer
    wnats to pursue them, and there was never a consensus reached. If
    there is interest, new bugs can be filed.      closes: Bug#51411, Bug#51412
  * Added the virtual package dict-client                    closes: Bug#122996
  * Added the virtual package foomatic-data                  closes: Bug#123570
  * Added the virtual packages {x-}audio-mixer               closes: Bug#131781

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 14 Mar 2002 12:16:53 -0600

debian-policy (3.5.6.0) unstable; urgency=low

  * Change footnote about urgency values to the now-current list: low,
    medium, high, emergency.
  * Correct note about /etc/default files being conffiles/config files,
    which I mucked up (sorry Joey) [10.3.2]
  * [AMENDMENT 2001/06/26] Downgrade emacs/tex to optional   
                                                  closes: Bug#102204, Bug#53849
  * [AMENDMENT 2001/06/26] Next stage in usr/doc -> usr/share/doc transition
                                                             closes: Bug#102199

  * [AMENDMENT 09/06/2001] Clarifying FHS policy   closes: Bug#98291, Bug#60461
  * Spelling correction                                      closes: Bug#105625
  * [AMMENDMENT 28/06/2001] Restrict http access to /usr/share/doc
                                                             closes: Bug#100631
  * [AMENDMENT 23/5/2001] Optional build-arch and build-indep targets for
    debian/rules                                             closes: Bug#72335
  * The old packaging manual is included in the policy document as an
    informative appendix. It is not part of Debian Technical Policy, and
    its presence is a temporary measure until dpkg documentation includes
    the information provided.                                closes: Bug#105535
  * Added information about optional blank lines in the chagelog format.
                                                             closes: Bug#105538

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 24 Jul 2001 21:43:22 -0500

debian-policy (3.5.5.0) unstable; urgency=low

  * Fixed up incorrect entries in the changelog (there was an erroneous
    3.5.0.1 revision which never happened; it has now been correctly
    merged with the 3.5.3.0 changelog entry)
  * Add section numbers to upgrading-checklist for all revisions from
    3.0.0 onwards
  * Complete rewrite (and renumbering) of sections 9.1 and 9,2
  * This time *really* include the HTML version of the FHS
  * Added doc-base support for all of the HTML files
  * Added several more files to the byhand list and rewrote chunks of
    debian/rules to do this
  * Add patched versions of debiandoc-sgml stuff to source package until
    patches are incorporated upstream
  * Versioned Build-Depend on debiandoc-sgml for fixed Text.pm
  * Improved mkdir example in 10.1.2                 closes: Bug#92744
  * Made the "where examples live" entry in the upgrading-checklist
    clearer (add "for use by scripts")
  * Add a dpkg-statoverride description section      closes: Bug#89473
  * Fix the ldconfig usage description (remove "only if")
                                                     closes: Bug#89674
  * Clarification of package priority issues vis-a-vis the X Windows
    system                                           closes: Bug#91249
  * Enhanced x-terminal-emulator policy              closes: Bug#91252
  * Minor changes to X app-defaults policy           closes: Bug#91259
  * Clarification of X policy in respect to FHS      closes: Bug#91260
  * OpenMotif has the same rules as OSF/Motif        closes: Bug#91261
  * The X Font policy rewrite                        closes: Bug#91257
  * The "man" program is no longer guaranteed to read header information
    to find alternative manpage names                closes: Bug#94995
  * Correction to meaning of Standards-Version       closes: Bug#97072
  * Split section 12.8 (X Window System) into subsections for readability
  * Plug-ins != shared libraries (at last)           closes: Bug#66023
  * Add packaging manual remnants to policy document as appendices, and
    mention this in control file                     closes: Bug#95906
  * Clarification in Perl policy                     closes: Bug#98712

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Jun 2001 10:37:52 +0100

debian-policy (3.5.4.0) unstable; urgency=low

  * [ACCEPTED 2/4/01] /var/mail and /var/spool/mail  closes: Bug#42052
  * [AMENDMENT 26/04/2001] include Perl Policy       closes: Bug#83977
  * Also incorporates all the improvements that Julian has made to to the

