=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Manoj Srivastava <srivasta@debian.org>
Standards-Version: ${debian-policy:Version}
Build-Depends-Indep: links, debiandoc-sgml (>= 1.1.47), sp, liburi-perl, libpaperg, tetex-bin, tetex-extra, latex2html, libi18n-langtags-perl, groff, bsdmainutils, pstoedit, tidy, jade, docbook-xml

Package: debian-policy
Architecture: all
Suggests: doc-base
Depends: fileutils (>= 4.0)
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.
