## debian-policy 3.6.2.1

=== debian/changelog ===
debian-policy (3.6.2.1) unstable; urgency=low

  * Bug fix: "debian-policy: Typo in upgrading-checklist.txt.gz", thanks
    to Romain Francoise. Added the missing /.               (Closes: #314569).
  * Bug fix: "x-session-manager already in use, so please add to
    virtual-package-names-list.txt", thanks to Christopher Martin 
                                                             (Closes: #313626).
  * Bug fix: "[ACCEPTED] SRFI 22 names for Scheme implementations", thanks
    to Jorgen Schaefer                                       (Closes: #310113).
  * Bug fix: "debian-policy: please add x-display-manager to
    virtual-package-names-list.txt", thanks to Jon Dowland  (Closes:  #294633).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 Jun 2005 00:48:14 -0500

debian-policy (3.6.2.0) unstable; urgency=low

  Manoj:
  * Bug fix: "policy 11.5.3 refers to using the menu package to register
    docs", thanks to Joey Hess                             (Closes: #222553).
  * Bug fix: "[PROPOSAL] Document Uploaders: field in policy", thanks to
    Andrew Pollock. Andreas Metzler provided the wording, though it was
    modified during inclusion.                              (Closes: #203145).
  * Bug fix: "debian-policy: Minor grammatical correction in section 9.4",
    thanks to Eric Evans. I rejected the proposed change, instead I went
    over the whole policy document and removed all he/she/him/her
    constructs before the gender police jump all over me.   (Closes: #273122).
  * Bug fix: "XSI:ism in prerm and postinst", thanks to David Weinehall
                                                            (Closes: #260092).
  * Bug fix: "debian-policy: please clarify section 12.7.", thanks to
    Adrian Bunk. Added a clarifying footnote that makes it clear that
    section 12.3 does not allow one to ignore section 12.7  (Closes: #276953).
  * 
  * Bug fix: "debian-policy: should not ship generated files in source
    archive, and should clean them from the tree", thanks to Branden
    Robinson                                                 (Closes: #284967).
  * Bug fix: "debian-policy: Detailed description of maintainer script
    calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz 
    and Thomas Hood. What happens when error unwinding itself runs into
    problems is perhaps not discussed as completely as it should be.
                                                             (Closes: #286549).
  * Bug fix: "9.3.3.2 &quot;command -v&quot; example needs tweaking",
    thanks to Thomas Hood. Instead of the massively complex shenanigans
    suggested in the bug report, just use which. which lives in an
    essential package, so can be used in the preinst of packages.
                                                             (Closes: #291026).
  * Bug fix: "debian-policy: please clarify/loosen the policy on rewriting
    history", thanks to Frank Küster. Since this was not really a
    directive, but merely an expression of an opinion, moved it into an
    informative footnote.                                    (Closes: #290270).
  * Bug fix: "debian-policy: virtual package request: mpd-client", thanks
    to Eric Wong                                             (Closes: #270020).
  * Bug fix: "[ACCEPTED 2005/02/04]: "libexec", or use of "lib" for
    binaries in lib* packages", thanks to Junichi Uekawa 
                                                              (Closes: #146023). 
  * Bug fix: "debian-policy: virtual package: flexmem", thanks to Bartosz
    Fenski aka fEnIo                                          (Closes: #239359).
  * Bug fix: "Please clarify Section 2.5. required <-> essential",
    thanks to Adrian Bunk. Clarified the section.             (Closes: #216104).
  * Bug fix: "debian-policy: Please remove virtual package
    aspell-dictionary", thanks to Brian Nelson                (Closes: #295939).
  * Bug fix: "[AMENDMENT 18/02/2002] Where to place web-accessible
    images", thanks to Tollef Fog Heen                         (Closes: #89867).
  * Bug fix: "debian-policy: erroneous enumeration in prebuilt policy.*
    files", thanks to Nikolaus Schulz. I am hoping that this shall go away
    when we rebuild.                                          (Closes: #286553).
  * Bug fix: "please make names of alternate versions links", thanks to
    Robert Cheramy. Added HTTPPATH elements that should provide the URL's
    as well as the hyperlinks.                                 (Closes: #308886).
  * Bug fix: "www.debian.org: Misspelling in Policy Manual", thanks to
    Roberto C. Sanchez Various spelling errors were also corrected in a
    spell check run.                                           (Closes: #309162).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Jun 2005 20:27:17 -0500
