## debian-policy 3.6.2.2

=== debian/changelog ===
debian-policy (3.6.2.2) unstable; urgency=low

  [ Manoj ]
  * Bug fix: "policy is out of date re tasks and tasksel", thanks to Joey
    Hess. Removed the section from policy.                   (Closes: #344310).
  * Bug fix: "debian-policy: Please remove virtual package cron-daemon",
    thanks to Steve Greenland                                (Closes: #257726).
  * Bug fix: "debian-policy: incorrect tar example deb manipulation",
    thanks to Bob Proulx                                     (Closes: #224770).
  * Bug fix: "Probable typo in 10.1 install -s miss INSTALL =", thanks to
    Bill Allombert                                           (Closes: #341992).
  * Bug fix: "debian-policy: postinst abort-remove (6.7) not present in
    summary (6.4)", thanks to Ferenc Wagner                  (Closes: #338493).
  * Bug fix: "UTF-8 footnote is out of date (pre-sarge)", thanks to Martin
    Michlmayr                                                (Closes: #337539).
  * Bug fix: "debian-policy: Typo in perl-policy", thanks to Tibor Csögör
                                                             (Closes: #334913).
  * Bug fix: "debian-policy: Outdated FSF postal address in Copyright
    Notice", thanks to Jean-Marc Ranger                      (Closes: #334819).
  * Bug fix: "debian-policy: §6.5 (3)(1): missing &quot;Error
    unwind:&quot; for &quot;new-postrm abort-upgrade&quot;", thanks to
    Henning Makholm                                          (Closes: #321792).
  * Bug fix: "debian-policy: typo in §5.6.3: co-maintaintainers", thanks
    to Henning Makholm                                       (Closes: #321790).
  * Bug fix: "debian-policy: typos in sect 9.3.1: &quot;ends .sh&quot;,
    &quot;rather that&quot;", thanks to Thijs Kinkhorst      (Closes: #343933).
  * Bug fix: "debian-policy: Unclear wording of ldconfig requirements in
    section 8.1.1", thanks to Ben Finney                      (Closes: #318214).
  * Bug fix: "debian-policy: Typo in 8.6.2: ${shlib:Depends} must be
    ${shlibs:Depends}", thanks to Thijs Kinkhorst             (Closes: #318147).
  * Bug fix: "debian-policy: gzipped fhs-2.3 documentation is corrupt",
    thanks to Gabor Gombas                                    (Closes: #340189).
  * Bug fix: "Section 6.3 should reference 3.10.1", thanks to Marc 'HE'
    Brockschmidt                                              (Closes: #326633).
  * Bug fix: "debian-policy: section 2.2 refers to no-longer existant
    non-US repository sections", thanks to Martin-Eric Racine 
                                                              (Closes: #315470).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 08:47:52 -0600
